package cn.superdesk.uniorder.dubbo.facade.operation;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssuesFlowing;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingParam;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingQueryCriteria;
import cn.superdesk.uniorder.dto.vo.operation.UnifiedOrderIssuesFlowingVo;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:    问题订单-流水记录
 * @Author:         linjinyu
 * @Email  linjinyu@avic-s.com
 * @CreateDate:     2021-06-25 14:22:13
 * @UpdateUser:     linjinyu
 * @UpdateDate:     2021-06-25 14:22:13
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
public interface DubboUnifiedOrderIssuesFlowingService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(UnifiedOrderIssuesFlowingParam param);

	@Deprecated
	void updateObj(UnifiedOrderIssuesFlowingParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	UnifiedOrderIssuesFlowing findById(Long id);

	@Deprecated
	PageInfo<UnifiedOrderIssuesFlowing> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<UnifiedOrderIssuesFlowing> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addUnifiedOrderIssuesFlowing(UnifiedOrderIssuesFlowingParam param);

	void updateUnifiedOrderIssuesFlowing(UnifiedOrderIssuesFlowingParam param);

	void deleteUnifiedOrderIssuesFlowing(Long id);

	UnifiedOrderIssuesFlowing findUnifiedOrderIssuesFlowingById(Long id);

	R<List<UnifiedOrderIssuesFlowingVo>> pageQuery(UnifiedOrderIssuesFlowingQueryCriteria queryCriteria, int pageNun, int pageSize);
}
